Bug 1338693 - [geo-rep]: [Errno 16] Device or resource busy: '/tmp/gsyncd-aux-mount-5BA95I'
Summary: [geo-rep]: [Errno 16] Device or resource busy: '/tmp/gsyncd-aux-mount-5BA95I'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Rahul Hinduja
URL:
Whiteboard: rebase
Depends On:
Blocks: 1387216 1503134
TreeView+ depends on / blocked
 
Reported: 2016-05-23 09:39 UTC by Rahul Hinduja
Modified: 2018-09-14 06:09 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1387216 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:29:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:31:22 UTC

Description Rahul Hinduja 2016-05-23 09:39:48 UTC
Description of problem:
=======================

Following traceback on aux-mount is observed during geo-rep sanity cases which does fops create,chmod,chown,chgrp,symlink,hardlink,truncate,rename and rmdir. This is most likely during rmdir. 

[2016-05-22 17:45:05.458262] E [resource(/bricks/brick0/master_brick2):1292:inhibit] <top>: mount cleanup failure:
Traceback (most recent call last):
  File "/usr/libexec/glusterfs/python/syncdaemon/resource.py", line 1290, in inhibit
    self.cleanup_mntpt(mntpt)
  File "/usr/libexec/glusterfs/python/syncdaemon/resource.py", line 1316, in cleanup_mntpt
    os.rmdir(mntpt)
OSError: [Errno 16] Device or resource busy: '/tmp/gsyncd-aux-mount-G3GogE'
[2016-05-22 17:45:05.460496] E [resource(/bricks/brick1/master_brick8):1292:inhibit] <top>: mount cleanup failure:
Traceback (most recent call last):
  File "/usr/libexec/glusterfs/python/syncdaemon/resource.py", line 1290, in inhibit
    self.cleanup_mntpt(mntpt)
  File "/usr/libexec/glusterfs/python/syncdaemon/resource.py", line 1316, in cleanup_mntpt
    os.rmdir(mntpt)
OSError: [Errno 16] Device or resource busy: '/tmp/gsyncd-aux-mount-5BA95I'



Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.7.9-5.el7rhgs.x86_64

How reproducible:
=================
1/2


Steps Carried:
==============

Found during automation cases of geo-rep {tarssh+fuse}

Comment 4 Aravinda VK 2016-10-20 11:24:12 UTC
Upstream patch sent: http://review.gluster.org/15686

Comment 6 Aravinda VK 2017-06-20 11:29:30 UTC
Upstream patch https://review.gluster.org/#/c/17015/ fixes this issue.(Already merged in Upstream)

Comment 9 Rahul Hinduja 2018-05-08 09:30:37 UTC
Verified with build: glusterfs-geo-replication-3.12.2-8.el7rhgs.x86_64

Ran the usecase mentioned in comment 3 and description. Havent seen this issue. Moving this bug to verified state. 

Regression cycle will cover this scenario and if the issue is seen than will open a new bug to triage.

Comment 11 errata-xmlrpc 2018-09-04 06:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.